/**
Theme Name: Astra Child
Author: Brainstorm Force
Author URI: http://wpastra.com/
Description: Child theme for Astra, A very lightweight and beautiful theme made to work with Page Builders.
Version: 1.0.1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/

/* CUSTOM CSS */
html, body {overflow-x: hidden;}
a:focus {outline: none !important;}
::selection {background: #1B1A1A;}

/* header menu css */
.header-logo.elementor-widget-image {
	position: absolute;
    top: 0;
}
.she-header .header-logo.elementor-widget-image {position: inherit;}
.header-logo.elementor-widget-image, .header-logo.elementor-widget-image img {transition: none !important;}
.header-logo.elementor-widget-image:after {
    content: "";
    position: absolute;
    bottom: -25px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #ffffff;
    width: 200px;
    height: 100px;
    z-index: -1;
    border-bottom-left-radius: 100px;
    border-bottom-right-radius: 100px;
}
.she-header .header-logo.elementor-widget-image:after {content: none;}
.she-header .elementskit-navbar-nav li a, .she-header .elementskit-navbar-nav li a .elementskit-submenu-indicator {color: #fff !important;}
.she-header .elementskit-navbar-nav li.current-menu-item > a {color: #55C333 !important;}
.elementskit-navbar-nav li ul.elementskit-dropdown li {transition: all 0.3s linear;}
.elementskit-navbar-nav li ul.elementskit-dropdown li:after {
	content: "";
	position: absolute;
	top: 16px;
	left: 0;
	height: 2px;
	width: 12px;
	background-color: #55C333;
	opacity: 0;
	visibility: hidden;
	transition: all 0.3s linear;
}
.elementskit-navbar-nav li ul.elementskit-dropdown li:hover:after {opacity: 1;visibility: visible;}
.elementskit-navbar-nav li ul.elementskit-dropdown li:hover {padding-left: 20px;}
.she-header .elementskit-navbar-nav li ul.elementskit-dropdown li a {color: #1B1A1A !important;}
.she-header .elementskit-navbar-nav li ul.elementskit-dropdown li:hover a {color: #55C333 !important;}
/* mobile menu css */
.elementskit-menu-offcanvas-elements ul li a i {color: #55C333 !important;fill: #55C333 !important;}

/* default button css */
.default-button .elementor-button-wrapper a {position: relative;overflow: hidden;z-index: 1;}
.default-button .elementor-button-wrapper a:before {
	content: '';
	position: absolute;
    top: 0;
	left: -10%;
	width: 120%;
    height: 100%;
    background: #55C333;
    transform: skew(30deg);
    transition: transform 0.4s cubic-bezier(0.3, 1, 0.8, 1);
	z-index: -1;
}
.default-button .elementor-button-wrapper a:hover:before {transform: translate3d(100%, 0, 0);}

/* about us section css */
/* .main-heading h3 {position: relative;display: inline-block;z-index: 1;}
.main-heading h3:after {
    content: "";
    position: absolute;
    bottom: 4px;
    left: 0;
    background-color: #55c3335e;
    height: 14px;
    width: 100%;
    z-index: -1;
} */
/* .certificates-logo .elementor-widget-image {background-color: #F5F5F5;} */

/* our solutions section css */
.our-solution-slider .profile-image-card .hover-area .overlay-content-hover {top: 50% !important;bottom: auto !important;transform: translateY(-50%) !important;}
.our-solution-slider .profile-image-card .hover-area .overlay-content-hover h2 {color: #1B1A1A !important;}
.our-solution-slider .ekit-team-style-overlay_content_hover::after {background: linear-gradient(180deg, rgba(7, 3, 30, 0) 0, rgb(7 3 30 / 40%) 100%) !important;}
.ue-item:hover .uc_elegant_content_box .ue-title, .ue-item:hover .uc_elegant_content_box .uc_paragraph {color: #1B1A1A !important;}
.ue-item:hover .uc_elegant_content_box .ue-btn-wrapper a {color: #fff;background-color: #1B1A1A;}

/* transforming spaces section css */
.transforming-spaces-widget {position: relative;z-index: 1;}
.transforming-spaces-widget:after {
	content: "";
    position: absolute;
    top: -20px;
    left: -20px;
    right: -20px;
    bottom: -20px;
	background-color: #55C333;
    transition: all 300ms ease-in-out;
    opacity: 0;
    transform: scale(1.1);
	z-index: -1;
}
.transforming-spaces-widget:hover:after {opacity: 1;transform: scale(1);}
.transforming-spaces-widget .elementor-widget-heading {transform: translateY(33px);transition: all 300ms ease-in-out;}
.transforming-spaces-widget:hover .elementor-widget-heading {transform: translateY(0);}
.transforming-spaces-widget .elementor-widget-button {transform: translateY(63px);opacity: 0;visibility: hidden;transition: all 300ms ease-in-out;}
.transforming-spaces-widget:hover .elementor-widget-button {transform: translateY(0);opacity: 1;visibility: visible;}

/* audio-video section css */
.float-bob-y {
	animation-name: float-bob-y;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
@keyframes float-bob-y {
	0% {
	  transform: translateY(-20px);
	}
	50% {
	  transform: translateY(-10px);
	}
	100% {
	  transform: translateY(-20px);
	}
}

/* why gran via section css */
.why-us-widget .elementor-widget-image {
	width: 100px;
    height: 100px;
    line-height: 100px;
    margin: auto;
    background: linear-gradient(to top left, #000000, #55C333);
    border-radius: 23px;
}
.why-us-widget .elementor-widget-image img {transition: all 0.3s linear;}
.why-us-widget .elementor-widget-image:hover img {transform: translatey(-4px);}

/* second option */
.whyus-slider .swiper-slide {box-shadow: none !important;transition: transform 0.2s cubic-bezier(0, 0, 0.58, 1);}
.whyus-slider .swiper-slide:hover {transform: translate3d(0, -5px, 0);}
.whyus-slider .swiper-slide .profile-header {
	background: linear-gradient(to top left, #000000, #55C333);
	display: flex !important;
    justify-content: center;
    align-items: center;
	border-radius: 13px;
}
.whyus-slider .swiper-slide .profile-header img {width: 55px !important;height: 55px !important;border-radius: 0 !important;}
.whyus-slider .swiper-slide .profile-body {padding-bottom: 0;}

/* contact us section css */
.home-contact-form form p {margin-bottom: 0;}
.home-contact-form form p span.wpcf7-form-control-wrap {margin-bottom: 25px;}
.home-contact-form form p span input {
	color: #fff !important;
	background: transparent !important;
	font-family: "Mark-Pro-Book", Sans-serif;
    border: 1px solid #424242 !important;
	border-top: 0 !important;
	border-left: 0 !important;
	border-right: 0 !important;
    border-radius: 0;
    padding: 0 0 18px 5px !important;
}
.home-contact-form form p span input:-webkit-autofill {
  	background: transparent !important;
}
.home-contact-form form p span input:focus {background-color: transparent;outline: none;}
.home-contact-form form p span input::placeholder {color: #b5b5b5;}
.home-contact-form form input.wpcf7-submit {background-color: #55C333;border-radius: 0;padding: 12px 25px;margin-top: 10px;}
.home-contact-form form p select {
	background: transparent;
    border-color: #424242 !important;
    border-radius: 0;
    color: #fff !important;
}
.home-contact-form form p select:focus {border-style: solid;}
.home-contact-form form p select option {color: #fff;background: #55C333}
.home-contact-form form p select option:hover {background: #55C333}

/* footer css */
/* .footer-area {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
	z-index: -1;
} */

/* scroll to top button css */
#ast-scroll-top {width: 40px;height: 40px;line-height: 40px;}

/* call button css */
.call-button {
	position: fixed;
	bottom: 25px;
	left: 15px;
	width: 61px;
    height: 61px;
    line-height: 47px !important;
    font-size: 17px;
    color: #fff;
    text-align: center;
    display: block;
    border-radius: 50%;
    padding: 7px;
    box-shadow: 0 0 0 2px rgb(101 181 48 / 50%);
	z-index: 1;
}
.call-button span {
	position: relative;
	width: 47px;
	height: 47px;
	line-height: 47px;
	display: block;
	border-radius: 50%;
	background-color: #55C333;
    color: #fff;
	box-shadow: 0 0 0 transparent;
}
.call-button span:before, .call-button span:after {
	content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    height: 65px;
    width: 65px;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    animation: ripple 3s infinite;
	box-shadow: 0 0 0 0 #55C333;
    opacity: 0.3;
}
.call-button span:before {animation-delay: 0.9s;}
.call-button span:after {animation-delay: 0.6s;}
.call-button span i {display: block;line-height: 47px;animation: tada 1800ms ease-out infinite;}

@keyframes ripple {
    70% {
        box-shadow: 0 0 0 50px rgba(255, 255, 255, 0)
    }
    100% {
        box-shadow: 0 0 0 0 rgba(255, 255, 255, 0)
    }
}

@keyframes tada {
    0% {
        -webkit-transform: scale(1);
        -ms-transform: scale(1);
        transform: scale(1)
    }

    10%,20% {
        -webkit-transform: scale(.9)rotate(-3deg);
        -ms-transform: scale(.9)rotate(-3deg);
        transform: scale(.9)rotate(-3deg)
    }

    30%,50%,70%,90% {
        -webkit-transform: scale(1.1)rotate(3deg);
        -ms-transform: scale(1.1)rotate(3deg);
        transform: scale(1.1)rotate(3deg)
    }

    40%,60%,80% {
        -webkit-transform: scale(1.1)rotate(-3deg);
        -ms-transform: scale(1.1)rotate(-3deg);
        transform: scale(1.1)rotate(-3deg)
    }

    100% {
        -webkit-transform: scale(1)rotate(0);
        -ms-transform: scale(1)rotate(0);
        transform: scale(1)rotate(0)
    }
}

/* sticky social media icon css */
.social-icons {
	position: fixed;
	bottom: 35%;
	right: 0;
	padding: 0px;
/* 	transform: translate(135px, 0); */
	z-index: 10;
}
.social-icons li {
  	display: block;
  	margin-bottom: 5px;
  	background: #55C333;
/*  width: 180px; */
  	text-align: left;
  	padding: 6px;
  	border-radius: 30px 0 0 30px;
  	transition: all 1s;
}
.social-icons li a {color: #fff;display: flex;align-items: center;}
/* .social-icons li:hover {transform: translate(-90px, 0);background: #55C333;} */
/* .social-icons li:hover i {
  	color: #fff;
  	background: #1B1A1A;
  	transform: rotate(360deg);
  	transition: all 1s;
} */
.social-icons li i {
/*  margin-right: 10px; */
  	color: #fff;
  	background: #1B1A1A;
  	border-radius: 50%;
  	width: 35px;
    height: 35px;
    line-height: 35px;
	text-align: center;
  	font-size: 20px;
  	transform: rotate(0deg);
}


/* new header css */
.header-new {position: fixed;top: 0;width: 100%;}
.elementor-element-ad8116d {transition: all 0.4s ease-in-out, height 0.4s ease-in-out, background-color 0.4s ease-in-out, border-bottom-width 0.4s ease-in-out, border-bottom-color 0.4s ease-in-out, margin 0s !important;}

/* new banner section css */
.home-bg-image:after {
	content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.2;
}
.home-banner-content .home-banner-text-area {
	background-color: #1B1A1A;
    padding: 20px;
    position: absolute;
    bottom: -4px;
    left: -10px;
}
.home-banner-content .home-banner-text-area .elementor-widget-icon {
	width: 60px;
    height: 60px;
    line-height: 60px;
    text-align: center;
    display: block;
    border: 2px solid #3B3B40;
    border-radius: 50%;
    opacity: 0.8;
}
@media (max-width: 1024px) {.home-banner-content .home-banner-text-area {bottom: -9px;}}
@media (max-width: 767px) {
	.home-banner-area {margin-top: 93px;}
	.elementor-element-0b78f0c {bottom: 0;}
	.home-banner-content .home-banner-text-area {bottom: -10px;padding: 12px 20px;}
	.home-banner-content .home-banner-text-area .elementor-widget-icon {width: 45px;height: 45px;line-height: 45px;}
	.home-banner-content .home-banner-text-area .e-child:first-child {width: 73%;align-items: center;}
	.home-banner-content .home-banner-text-area .e-child:last-child {width: 20%;align-items: end;}
}

/* contact us page css */
.contact-page-form form .row {display: flex;width: 100%;}
.contact-page-form form .row .col-md-6 {width: 50%;padding: 15px;}
.contact-page-form form .row .col-md-12 {width: 100%;padding: 15px;}
.contact-page-form form p {margin-bottom: 6px;}
.contact-page-form form p span input, .contact-page-form form p span textarea {
	height: 50px;
	border-radius: 0 !important;
	border-color: #C9C9C9;
	font-family: "Mark-Pro-Book", Sans-serif !important;
}
.contact-page-form form p span textarea {height: 150px;}
.contact-page-form form p span input::placeholder, .contact-page-form form p span textarea::placeholder {color: #787878;}
.contact-page-form form p span input:hover, .contact-page-form form p span input:focus, .contact-page-form form p span textarea:hover, .contact-page-form form p span textarea:focus {border-color: #1B1A1A !important;border-style: solid !important;}
.contact-page-form form p input.wpcf7-submit {background-color: #55C333;border-radius: 0;font-family: "Mark-Pro-Book", Sans-serif !important;}

@media (max-width: 480px) {
	.contact-page-form form .row {display: block;}
	.contact-page-form form .row .col-md-6 {padding: 15px 0 0;;width: 100%;}
	.contact-page-form form .row .col-md-12 {padding: 15px 0 0;}
}

/* team page css */
.team-widget {overflow: hidden !important;}
.team-widget .team-social-media {opacity: 0;visibility: hidden;transition: all .4s ease !important;}
.team-widget:hover .team-social-media {left: 0 !important;opacity: 1;visibility: visible;}

/* lighting page css */
.lighting-product-widget {transition: all .4s ease !important;}
.lighting-product-widget:hover {transform: translate3d(0, -5px, 0);}




